public inbox for dwz@sourceware.org
 help / color / mirror / Atom feed
* [committed] Fix pr24174.sh
@ 2019-01-01  0:00 Tom de Vries
  0 siblings, 0 replies; only message in thread
From: Tom de Vries @ 2019-01-01  0:00 UTC (permalink / raw)
  To: dwz, jakub

Hi,

Test-case pr24174.sh contains:
...
grep "DWARF version 0 unhandled" dwz.err || true
...
where the intention is to check that the error message does not occur, but
which will pass regardless of what's in dwz.err.

Fix this by making sure the test fails if grep succeeds.

Committed to trunk.

Thanks,
- Tom

Fix pr24174.sh

2019-03-13  Tom de Vries  <tdevries@suse.de>

	* testsuite/dwz.tests/pr24174.sh: Make sure test fails if grep succeeds.

---
 testsuite/dwz.tests/pr24174.sh | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/testsuite/dwz.tests/pr24174.sh b/testsuite/dwz.tests/pr24174.sh
index 3b1a0f8..f6744f4 100755
--- a/testsuite/dwz.tests/pr24174.sh
+++ b/testsuite/dwz.tests/pr24174.sh
@@ -8,7 +8,9 @@ if dwz 1 2>dwz.err; status=$?; then
    true
 fi
 
-grep "DWARF version 0 unhandled" dwz.err || true
+if grep -q "DWARF version 0 unhandled" dwz.err; then
+    exit 1
+fi
 
 [ $status -eq 1 ]
 

^ permalink raw reply	[flat|nested] only message in thread

only message in thread, other threads:[~2019-03-13 13:12 UTC | newest]

Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2019-01-01  0:00 [committed] Fix pr24174.sh Tom de Vries

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).